# Class PeakData

java.lang.Object
java.util.AbstractCollection<Measurement>
java.util.AbstractList<Measurement>
java.util.ArrayList<Measurement>
javajs.util.Lst<Measurement>
jspecview.common.MeasurementData
jspecview.common.PeakData

All Implemented Interfaces:
  `Serializable, Cloneable, Iterable<Measurement>, Collection<Measurement>, List<Measurement>, RandomAccess, SequencedCollection<Measurement>, AnnotationData`

public class PeakData extends MeasurementData
a data structure for peak lists

Author:
  Bob Hanson hansonr@stolaf.edu
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class MeasurementData

`myParams, precision, spec, units`

### Fields inherited from class AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`PeakData(Annotation.AType type, Spectrum spec)`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getDataHeader()`
`void`
`getInfo(Map<String,Object> info)`
`String[][]`
`getMeasurementListArray(String units)`
`double[][]`
`getMeasurementListArrayReal(String units)`
`double`
`getThresh()`
`void`
`setPeakList(Parameters p, int precision, ScaleData view)`

### Methods inherited from class MeasurementData

`clear, find, getAType, getData, getGraphSetKey, getParameters, getSpectrum, getState, isDialog, isVisible, setGraphSetKey, setSpecShift, setState`

### Methods inherited from class Lst

`add, add, addLast, remove, remove, removeItemAt, removeObj`

### Methods inherited from class ArrayList

`addAll, addAll, addFirst, clear, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class AbstractCollection

`containsAll, toString`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Collection

`parallelStream, stream, toArray`

### Methods inherited from interface List

`containsAll, reversed`

## Constructor Details

### PeakData

public PeakData(Annotation.AType type, Spectrum spec)

## Method Details

### getThresh

public double getThresh()

### getDataHeader

public String[] getDataHeader()

Overrides:
  `getDataHeader` in class `MeasurementData`

### getMeasurementListArray

public String[][] getMeasurementListArray(String units)

Overrides:
  `getMeasurementListArray` in class `MeasurementData`

### getMeasurementListArrayReal

public double[][] getMeasurementListArrayReal(String units)

### getInfo

public void getInfo(Map<String,Object> info)

### setPeakList

public void setPeakList(Parameters p, int precision, ScaleData view)